Bug 478973 - update it to latest release 1.9.1-p378
update it to latest release 1.9.1-p378
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
http://www.ruby-lang.org/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 05:17 EST by acount closed by user
Modified: 2010-06-26 20:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
su -c 'yum --enablerepo=updates-testing update sharutils'. You can provide
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-26 20:56:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2009-01-06 05:17:21 EST
-thanks-
Comment 1 Fedora Admin XMLRPC Client 2009-01-30 07:44:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jeroen van Meeuwen 2009-01-31 16:53:40 EST
Would building 1.9.1 which is now considered stable by upstream be an option for you?
Comment 3 Jeroen van Meeuwen 2009-01-31 19:02:56 EST
Geh, seemed to have replied on a cached page that still had 1.8.7 in the title ;-)
Comment 4 acount closed by user 2009-02-07 12:07:01 EST
is it ASSIGNED ? or should I close it ?


-thanks-
Comment 5 Jeroen van Meeuwen 2009-02-08 07:04:24 EST
I'm working on it to see what plans I can come up with. I guess ON_DEV would be the appropriate status for this bug.
Comment 6 Timothy Davis 2009-05-04 12:17:12 EDT
Please add/upgrade, I've tried running Ruby-TclTk programs on the current release and every program crashes on linking a variable to a GUI.
Comment 7 Bug Zapper 2009-06-09 06:36:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jeroen van Meeuwen 2009-10-24 20:04:52 EDT
Latest status is this fails to build on i?86. See https://koji.fedoraproject.org/koji/getfile?taskID=1766348&name=build.log for more details
Comment 9 Mamoru TASAKA 2009-10-26 01:59:15 EDT
(In reply to comment #8)
> Latest status is this fails to build on i?86. See
> https://koji.fedoraproject.org/koji/getfile?taskID=1766348&name=build.log for
> more details  

Please provide your srpm (from koji we cannot tell what srpm
you were trying to build)
Comment 10 Bug Zapper 2009-11-16 04:45:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Jeroen van Meeuwen 2009-12-12 06:43:42 EST
The Ruby SIG still working on some of the details, but a package can be found at http://www.kanarip.com/custom/f12-ruby/ or http://www.kanarip.com/custom/f13-ruby/

compat packages for ruby-1.8.6 should also be there (soon).
Comment 12 Mamoru TASAKA 2009-12-14 10:30:06 EST
(In reply to comment #11)
> The Ruby SIG still working on some of the details, 
(Umm... I didn't know that there is Ruby SIG, I will be happy if
 fedora-ruby-list or so will open)

> http://www.kanarip.com/custom/f13-ruby/
Well, while I have not tested your srpm yet (but anyway thank you
for your work),
what I am concerned about for ruby19 is that while we already
have many rubygem based rpms, I am not sure if rubygem works with
ruby19. Currently there are some reports on rubyforge tracker
that rubygems don't work correctly with ruby19:
http://rubyforge.org/tracker/index.php?group_id=126&atid=575
So I am not sure if for F-13 we should make ruby19  default or we
should make ruby19 optional. Note that for F-13 python3 is to be introduced
as optional.
(For now I think that making ruby18 default for F-13 is safer, however
 in such case I think we should consider to use ruby187)
Comment 13 Jeroen van Meeuwen 2009-12-20 20:04:12 EST
(In reply to comment #12)
> (In reply to comment #11)
> > The Ruby SIG still working on some of the details, 
> (Umm... I didn't know that there is Ruby SIG,

According to http://fedoraproject.org/wiki/SIGs/Ruby, you are a member so I'm going to assume you found it ;-)

> I will be happy if
>  fedora-ruby-list or so will open)
> 

The mailing list is at https://admin.fedoraproject.org/mailman/listinfo/ruby-sig

> > http://www.kanarip.com/custom/f13-ruby/
> Well, while I have not tested your srpm yet (but anyway thank you
> for your work),
> what I am concerned about for ruby19 is that while we already
> have many rubygem based rpms, I am not sure if rubygem works with
> ruby19. Currently there are some reports on rubyforge tracker
> that rubygems don't work correctly with ruby19:
> http://rubyforge.org/tracker/index.php?group_id=126&atid=575
> So I am not sure if for F-13 we should make ruby19  default or we
> should make ruby19 optional. Note that for F-13 python3 is to be introduced
> as optional.
> (For now I think that making ruby18 default for F-13 is safer, however
>  in such case I think we should consider to use ruby187)  

Part of our goal is to also make compat- packages available for older versions of Ruby. I'm now working on www.kanarip.com/custom/f12-ruby/ which has a functional ruby-1.9.1 package.

I'm still trying to figure out how this should work in the greater perspective, more info as I go along through the Ruby SIG mailing list
Comment 14 Bug Zapper 2010-03-15 08:23:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-03-16 08:18:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 postmodern 2010-06-05 22:39:50 EDT
Eric Hodel (the maintainer of RubyGems) is planning on dropping Ruby 1.8.6 support from RubyGems 1.4.x (http://blog.segment7.net/articles/2010/04/23/ruby-1-8-6-policy). Fedora should be ready to move off of Ruby 1.8.6, onto either 1.8.7, 1.9.1 or 1.9.2.
Comment 17 acount closed by user 2010-06-06 09:04:22 EDT
(In reply to comment #16)

> Fedora should be ready to move off of Ruby 1.8.6, onto either 1.8.7, 1.9.1 or 1.9.2.

see http://fedoraproject.org/wiki/Features/Ruby_1.9.1
Comment 18 acount closed by user 2010-06-06 09:04:22 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
su -c 'yum --enablerepo=updates-testing update sharutils'.  You can provide
Comment 19 acount closed by user 2010-06-06 09:07:49 EDT
(In reply to comment #18)
> Technical note added. If any revisions are required, please edit the "Technical
> Notes" field
> accordingly. All revisions will be proofread by the Engineering Content
> Services team.
> 
> New Contents:
> su -c 'yum --enablerepo=updates-testing update sharutils'.  You can provide    

sorry, C&P fault.
Comment 20 acount closed by user 2010-06-26 20:56:49 EDT
Closed.

I'm sorry, I'm going to delete my bz count.

Note You need to log in before you can comment on or make changes to this bug.